**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/22.3/scim/users/create-user-with-scim.md

# Create User with SCIM



Create a user with SCIM.

<Endpoint path="/api/{version}/scim/v2/Users" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/scim+json` |
| `Content-Type` | `application/json` or `application/scim+json` |
</FieldTable>

## Body Parameters {#body-parameters}

The body of your request should be a JSON file with the required information for your new user. The following fields are required, but you can add any other editable field in the request. Note that an Admin may set additional fields as required in your Vault.

<FieldTable>
| Name | Description |
| --- | --- |
| `schemas` | A JSON array of the schemas required to create this user. These may differ depending on the fields you wish to set for this user. |
| `userName` | The user name for the new user. Must be in the format `name@domain.com`, and the domain must match the Vault. |
| `emails` | A JSON array with the email information for a user. The array must include the following sub-attributes:`value`: The email address in the format `name@domain.com`.`type`:The email type, which is `work`. Other types are not supported.Note that the `primary` sub-attribute is ignored. |
| `name` | A JSON object for the user’s first name (`givenName`) and last name (`familyName`). |
| `preferredLanguage` | The language for the user. Value is the language abbreviation, for example, `en`. |
| `locale` | The user’s locale, in the format language_country. For example, `en_US`. |
| `timezone` | The user’s timezone, for example, `America/Los_Angeles`. |
| `securityProfile` | A JSON object with the user’s security profile, set with the `value` sub-attribute. For example, `"securityProfile": { "value": "system_admin__v"}`. |
| `securityPolicy` | Optional: A JSON object with the user’s security policy, set with the `value` sub-attribute. If omitted, defaults to `Basic`. |
| `licenseType` | Optional: A JSON object with the user’s license type, set with the `value` sub-attribute. If omitted, defaults to `full__v`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/scim+json" \
--data-binary @"C:\Vault\Users\create_users_scim.json" \
https://veepharm.com/api/v18.2/scim/v2/Users

```
</CodeExample>

## Body {#body}

<CodeExample title="">
```
{
    "schemas": [
        "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User",
        "urn:ietf:params:scim:schemas:core:2.0:User"
    ],
    "userName": "AbigailSmith@veepharm.com",
    "emails": [
        {
            "value": "abigail.smith@veepharm.com",
             "type": "work"
        }
    ],
    "name": {
                "familyName": "Smith",
                "givenName": "Abigail"
            },
    "preferredLanguage": "en",
    "locale": "en_US",
    "timezone": "America/Los_Angeles",
    "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User": {
    "securityProfile": {
                    "value": "system_admin__v"
                }
  }
}

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "schemas": [
        "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User",
        "urn:ietf:params:scim:schemas:core:2.0:User"
    ],
    "id": "114055",
    "meta": {
        "created": "2018-05-29T23:44:08.000Z",
        "lastModified": "2018-05-29T23:44:08.000Z",
        "resourceType": "User",
        "location": "https://veepharm.com/api/v18.2/scim/v2/Users/114055"
    },
    "active": true,
    "displayName": "Abigail Smith",
    "emails": [
        {
            "value": "abigail.smith@veepharm.com",
            "type": "work"
        }
    ],
    "locale": "en_US",
    "name": {
        "familyName": "Smith",
        "givenName": "Abigail"
    },
    "preferredLanguage": "en",
    "timezone": "America/Los_Angeles",
    "userName": "AbigailSmith@veepharm.com",
    "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User": {
        "createdBy": {
            "$ref": "https://veepharm.com/api/v18.2/scim/v2/Users/61579",
            "value": "61579"
        },
        "extendedAttributes": [
            {
                "name": "is_asset_portal_user__sys",
                "value": "false"
            }
        ],
        "lastModifiedBy": {
            "$ref": "https://veepharm.com/api/v18.2/scim/v2/Users/61579",
            "value": "61579"
        },
        "licenseType": {
            "$ref": "https://veepharm.com/api/v18.2/scim/v2/LicenseTypes/full__v",
            "value": "full__v"
        },
        "lifecycle": "vault_membership_lifecycle__sys",
        "lifecycleState": "active_state__sys",
        "securityPolicy": {
            "$ref": "https://veepharm.com/api/v18.2/scim/v2/SecurityPolicies/2525",
            "value": "2525"
        },
        "securityProfile": {
            "value": "system_admin__v",
            "$ref": "https://veepharm.com/api/v18.2/scim/v2/SecurityProfiles/system_admin__v"
        }
    }
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the full details of the newly created user.



---

**Previous:** [Update Current User with SCIM](/quality/vault-api/api-reference/22.3/scim/users/update-current-user-with-scim)  
**Next:** [Update User with SCIM](/quality/vault-api/api-reference/22.3/scim/users/update-user-with-scim)